## Package org.apache.lucene.ant

Ant task to create Lucene indexes.

See:
Description

Interface Summary
ConfigurableDocumentHandler
DocumentHandler: Allows a class to act as a Lucene document handler

Class Summary
FileExtensionDocumentHandler: A DocumentHandler implementation to delegate responsibility to based on a files extension.
HtmlDocument: The `HtmlDocument` class creates a Lucene `Document` from an HTML document.
IndexTask: Ant task to index files with Lucene
IndexTask.AnalyzerType
IndexTask.HandlerConfig
TextDocument: A utility for making Lucene Documents from a File.

Exception Summary
DocumentHandlerException

## Package org.apache.lucene.ant Description

Ant task to create Lucene indexes.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.